.codestep {
    background-color: #2e2e2e;
    border-radius: 10px;
    margin: 10px 0;
    position: relative;
}

.codestep-copy {
    position: absolute;
    right: 70px; /* buttons are 40px + 10px of margin on each side */
    top: 30px;
    z-index: 101;
}

.codestep-code {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0px;
}

.codestep-pre {
    flex-grow: 1;
    width: 1px;
    height: 100%;
    padding: 0 10px;
}

.codestep-content {
    background-color: var(--bg-codeblock-color);
    border-radius: 10px;

    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0px;

    line-height: 1.2em;
    margin: -10px;
    padding: 10px;

    min-width: 100%;
    width: fit-content;
    height: 100%;

    overflow-x: auto;
}

.codestep-scrollbox {
    display: flex;
    height: fit-content;
}

.codestep-block {
    width: fit-content;
}

.codestep-block div {
    display: flex;
    opacity: 1;
    margin-top: -0.6em;
}

.codestep-block td {
    background-color: var(--bg-codeblock-color);
}

.codestep-block-hidden {
    opacity: 0.2;
}

.codestep-arrow {
    color: var(--tertiary-color);
    cursor: pointer;
    margin: 10px;
    width: 40px;
    min-width: 40px;
}

.codestep-desc {
    color: white;
    display: none;
    padding: 10px 2.5em;
    margin-top: -1em;
    text-align: center;
    height: 10%;
}

.codestep code {
    background-color: var(--bg-codeblock-color);
}

.codestep-result {
    color: white;
    position: relative;
    padding: 0 20px;
    padding-bottom: 1px;
    min-height: 20px;
}

.codestep-result .prolo-codeblock-result {
    margin-top: 20px;
}

.codestep-result .prolo-codeblock-run-btn {
    top: -18px;
}
